[Frage] Ich brauche dringend Hilfe!!

  • TypoNewbie24 TypoNewbi...
    Jar Jar Binks
    0 x
    1 Beiträge
    0 Hilfreiche Beiträge
    09. 12. 2020, 12:13

    Ich habe bei einer 8.7 Seite mal wieder routinemäßig die Updates gecheckt. Dabei habe ich auch mal ein Update angeklickt, weil einem dann ja immer gezeigt wird, ob das kompatibel ist oder nicht. Dabei muss ich leider versehentlich einmal bestätigt haben, dass ich es installieren möchte, was ich aber natürlich nicht wollte. Wie gesagt, ich wollte nur die Abhängigkeitenn ausloten, da natürlich in naher Zukunft dann ein geplantes Upgrade angedacht war.

    Jetzt ist die Seite aber leider nicht mehr erreichbar, Chrome meldet einen 500 Fehler.

    Wie kann ich meine Seite jetzt retten? Kann ich in diesem Zustand das vom Hoster angebotene 8.7 -> 9.x Upgrade als Reparaturwerkzeug nutzen? Oder gibt es eine einfachere Möglichkeit, eventuell erstmal das fragliche Plugin zu deinstallieren. Das war eh eins, das demnächst erst genutzt werden sollte, wo ich noch das Layout getestet habe.

    Für jede Hilfe bin ich äußerst dankbar, denn die Seite war schon eine mit 80 Unterseiten und die möchte niemand aus einer Datenbank rekonstruieren...


  • 1
  • 0 x
    3142 Beiträge
    140 Hilfreiche Beiträge
    10. 12. 2020, 08:44

    Bei zu neuen Extensions und 500er Fehlern ist die Ursache oft, dass (zu) neues PHP Verwendung findet. Daher muss nicht nur die extension deaktiviertw erden, sondern auch verhindertw erden, dass TYPO3 den zu modernen PHP-Code lädt/ausführt (was für einige Dateien immer erfolgt - z.B. um die Metadaten zur Anzeige im Extension-Manager auszulesen).

    Zwei Schritte, zum wieder lauffähig machen:
    1. Lösche den Ordner dieser Extension unter typo3conf/ext/<extensionKey>
    2. Öffne die typo3conf/PackageStates.php, suche nach dem Extension-Key und lösche seinen Eintrag

    P.S: Ein Titel, der Dein Problem beschreibt, wäre nächstes Mal sinnvoller ;) Dann können potenzielle Helfer schon davor einschätzen, ob sie Dir helfen können.

  • 1